linux-mips
[Top] [All Lists]

Re: Problem with module loading on a 2.4 kernel

To: Brian Murphy <brian@murphy.dk>
Subject: Re: Problem with module loading on a 2.4 kernel
From: "Steven J. Hill" <sjhill@cotw.com>
Date: Tue, 15 May 2001 06:44:58 -0500
Cc: "linux-mips@oss.sgi.com" <linux-mips@oss.sgi.com>
References: <3B00FB7A.12AA394B@murphy.dk>
Reply-to: sjhill@cotw.com
Sender: owner-linux-mips@oss.sgi.com
Brian Murphy wrote:
> 
> When we try to load a module into a 2.4.3 kernel we get the following
> error:
> 
> # insmod /lib/modules/ipchains.o
> insmod: kernel: QM_SYMBOLS: Unknown error 716862128
> 
> does anyone know what the matter here.
> 
> The toolchain we use is based on the patched egcs-1.1.2 and
> binutils-2.8.1
> at oss.
> 
And thus your problem. You need a newer toolchain. The binutils and
gcc out of CVS. For binutils you can also use HJ Lu's with version
2.11.90.0.5 or better.

-Steve

-- 
 Steven J. Hill - Embedded SW Engineer
 Public Key: 'http://www.cotw.com/pubkey.txt'
 FPR1: E124 6E1C AF8E 7802 A815
 FPR2: 7D72 829C 3386 4C4A E17D

<Prev in Thread] Current Thread [Next in Thread>